from app.libs.error import APIException

class ServerError(APIException):
    code = 500
    message = '服务端错误'

class AuthFailed(APIException):
    code = 401
    message = '认证失败'

class Forbidden(APIException):
    code = 403
    message = '禁止操作'

class NotFound(APIException):
    code = 404
    msg = '未找到'

class ParameterException(APIException):
    code = 400
    msg = '参数错误'
    error_code = 1000

class Success(APIException):
    message = 'ok'
    code = 0