from app.libs.error_code import Success
from app.libs.redprint import Redprint
from app.models.user import User
from app.validators.forms import UserEmailForm

api = Redprint('user')

@api.route('/register', methods=['POST'])
def register():
    form = UserEmailForm().validate_for_api()
    User.register_by_email(form.nickname.data, form.account.data, form.secret.data)
    return Success()

    
